updateContentFolder
PATCH
/api/v1/content-folders/{id}
const url = 'https://example.com/api/v1/content-folders/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","parentId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v1/content-folders/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "parentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Rename, move, or redescribe a content folder. Requires a content author with the write scope. Cookie-authenticated unsafe requests require X-CSRF-Token.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Header Parameters
Section titled “Header Parameters”X-CSRF-Token
string
Cookie-backed browser requests only, and only on unsafe methods. Bearer grants never send it.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
description
string
parentId
string | null format: uuid
Examplegenerated
{ "name": "example", "description": "example", "parentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “ Responses ”Content folder updated
Media typeapplication/json
object
data
required
object
id
required
string format: uuid
parentId
string format: uuid
name
required
string
description
required
string
assetCount
required
integer
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Examplegenerated
{ "data": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "parentId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "assetCount": 1, "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z" }}Invalid request body
Dashboard authentication required
Insufficient role